gratifiant > comp.os.* > comp.os.unix.mac

Jean-François Hicter (14/11/2005, 00h03)
Bonjour,

Est-ce-que quelqu'un a réussi à installer le Java Runtime Environment
sur Debian ?
J'ai suivi la procédure d'install' avec les 2 versions dispos sur le
site de Sun -- -- mais ça
bloque à l'exécution.

J'obtiens ça :

********************

Unpacking...
Checksumming...
0
0
Extracting...
../jre-1_5_0_05-linux-i586-rpm.bin: line 263: ./install.sfx.4129: cannot
execute binary file

Done.

********************

Retour à la case départ. Aucune décompression / installation.

Any help ?
Stephane Louise (14/11/2005, 00h12)
Jean-François Hicter wrote:
> Est-ce-que quelqu'un a réussi à installer le Java Runtime Environment
> sur Debian ?


Je l'ai fait, même si je ne l'ai pas testé vu que je n'en ai guère
l'utilité.

> J'ai suivi la procédure d'install' avec les 2 versions dispos sur le
> site de Sun -- -- mais ça
> bloque à l'exécution.


Oui, mais non. Sun ne fourni rien pour linux sur PPC. Il faut aller voir
du côté de Blackdown/IBM, mais je crois que la dernière version
disponible pour linux-ppc est la 1.4.2 (c'est celle que j'ai en tout
cas). A noter: pas de plugin Java pour les navigateurs web.

> Unpacking...
> Checksumming...
> 0
> 0
> Extracting...
> ./jre-1_5_0_05-linux-i586-rpm.bin: line 263: ./install.sfx.4129: cannot
> execute binary file


Le nom du RPM devrait mettre sur la voie (i586).

> Retour à la case départ. Aucune décompression / installation.
> Any help ?


A rechercher dans les archives de la mailing list debian-ppc. Mots
clefs, je pense : java, blackdown, pserver.

mata ne
Jean-François Hicter (14/11/2005, 00h28)
> Oui, mais non. Sun ne fourni rien pour linux sur PPC. Il faut aller voir
> du côté de Blackdown/IBM, mais je crois que la dernière version
> disponible pour linux-ppc est la 1.4.2 (c'est celle que j'ai en tout
> cas).


Merci pour l'info ! :-(

> A noter: pas de plugin Java pour les navigateurs web.


Donc pas de Processing -- processing.org -- en ligne ?
En local, espérons...

> Le nom du RPM devrait mettre sur la voie (i586).


Je suis un gros niais, désolé !
Trop pressé pour lire les numéros de versions, etc.

:-)

> A rechercher dans les archives de la mailing list debian-ppc. Mots
> clefs, je pense : java, blackdown, pserver.


Viele Danke !

:-)
djame (14/11/2005, 01h05)
Jean-François Hicter a écrit :
>> Oui, mais non. Sun ne fourni rien pour linux sur PPC. Il faut aller
>> voir du côté de Blackdown/IBM, mais je crois que la dernière version
>> disponible pour linux-ppc est la 1.4.2 (c'est celle que j'ai en tout
>> cas).

> Merci pour l'info ! :-(
>> A noter: pas de plugin Java pour les navigateurs web.


Salut,
il me semble que sur mon install linux ppc 2K avec netscape 4.76 et la
jre blackdown 1.2 quelque chose il y avait un plugin java ppc (ca doit
correspondre au pic d'utilisaiton linux ppc avant mac os X)
c con mais quasiment plus aucune faq ou site linuxppc n'existe mais c
possible de rechercher sur les archives de linuxppc-devel

Cordialement
ericb (14/11/2005, 01h59)
Bonjour,

Stephane Louise a écrit :
> Oui, mais non. Sun ne fourni rien pour linux sur PPC.


En effet, je n'ai jamais vu grand chose de ce côté...

Il faut aller voir
> du côté de Blackdown/IBM, mais je crois que la dernière version
> disponible pour linux-ppc est la 1.4.2 (c'est celle que j'ai en tout
> cas). A noter: pas de plugin Java pour les navigateurs web.


Pour information, le plugin mozilla est dispo (depuis quelques temps
déjà) avec la version (beta) 1.5.0 IBM pour ppc.
Je crois que c'est là :
<http://www-128.ibm.com/developerworks/java/jdk/index.html>

L'inconvénient : il faut être enregistré pour obtenir le JRE (ou le SDK )

eric@tomate:~$ ls ibm*
ibm-java2-sdk-50-linux-ppc.tgz

Ne pas oublier d'exporter JITC_PROCESSOR_TYPE

export JITC_PROCESSOR_TYPE="6" # sur PowerPC

Dedans, il y a bien un plugin mozilla (pas encore testé, mais c'est pour
bientôt :

eric@tomate:~/toto/ibm-java2-ppc-50/jre/bin$ ls |grep libjavaplugin
libjavaplugin_jni.so
libjavaplugin_ns6_oji.so
libjavaplugin_nscp.so
libjavaplugin_oji.so

:-)
ericb (14/11/2005, 02h01)
Juste un petit oubli : je ne sais pas si on peut installer ce JRE (ou
SDK) avec apt-get.
Stephane Louise (15/11/2005, 01h07)
ericb wrote:
> Juste un petit oubli : je ne sais pas si on peut installer ce JRE (ou
> SDK) avec apt-get.


Non mais il y a un paquet virtuel il me semble qui permet ensuite
d'installer les dépendances.

mata ne
Stephane Louise (15/11/2005, 01h13)
ericb wrote:
> Pour information, le plugin mozilla est dispo (depuis quelques temps
> déjà) avec la version (beta) 1.5.0 IBM pour ppc.


Oh, bonne nouvelle la version 1.5.

> Je crois que c'est là :
> <http://www-128.ibm.com/developerworks/java/jdk/index.html>
> L'inconvénient : il faut être enregistré pour obtenir le JRE (ou le SDK )


Ya pas l'choix...

[..]
> libjavaplugin_ns6_oji.so
> libjavaplugin_nscp.so
> libjavaplugin_oji.so


Yep. En fait, il y a aussi le plugin java dans le JRE 1.3.2 de
blackdown, mais il dépend d'une libc++ obsolète qui le rend inutile sauf
a vouloir recompiler le navigateur et une partie de ses dépendance face
à une bibliothèque C++ obsolète et non maintenue et de jouer les
magiciens avec le ld.so.conf. J'avais décidé que le jeux n'en valait pas
la chandelle.

mata ne
Discussions similaires